Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Enum Class ComposeType

java.lang.Object
java.lang.Enum<ComposeType>
org.jfree.chart3d.renderer.ComposeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ComposeType>`, `Constable`

public enum ComposeType extends Enum<ComposeType>
An enumeration of the different methods used by renderers for composing the items in a chart. Most renderers work on a per-item basis, where the plot iterates over the items in a dataset then asks the renderer to compose one item at a time. An alternative approach is where the renderer does the entire composition in one pass (the `SurfaceRenderer` does this, since it plots a function rather than a dataset (performing sampling of the function on-the-fly).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Compose all items at once.
`PER_ITEM`
Compose each item individually.

## Method Summary

Modifier and Type
Method
Description
`static ComposeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ComposeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PER_ITEM

public static final ComposeType PER_ITEM
Compose each item individually.

### ALL

public static final ComposeType ALL
Compose all items at once.

## Method Details

### values

public static ComposeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ComposeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null